Page MenuHomePhabricator

[OMPT] Rename ompt_wait_id to omp_wait_id
ClosedPublic

Authored by protze.joachim on May 7 2018, 9:28 AM.

Details

Summary

Similar as in D43568, this patch renames ompt_wait_id* to omp_wait_id*. This renaming was introduced in OpenMP TR6.

Since this patch might bring similar trouble to tool writers as D43568, I would submit both patches at the same time.

Diff Detail

Repository
rL LLVM

Event Timeline

protze.joachim created this revision.May 7 2018, 9:28 AM
Hahnfeld accepted this revision.May 8 2018, 12:26 AM

Sounds good if that's the direction of the spec. It was clear that the implementation of OMPT might change based on newer Technical Reports.

runtime/src/include/50/ompt.h.var
290 ↗(On Diff #145481)

You should add another space before /* here and in many more places below

This revision is now accepted and ready to land.May 8 2018, 12:26 AM
Closed by commit rL333368: [OMPT] Rename ompt_wait_id to omp_wait_id (authored by jprotze, committed by ). · Explain WhyMay 28 2018, 1:20 AM
This revision was automatically updated to reflect the committed changes.